ECHO OFF
ECHO This file will flash your program to the board
:pastefile
ECHO Please copy your .out file and your boot.out file into %cd%
ECHO Press space when the files are in the right folder
PAUSE
ECHO.
set /p id="Enter your file name excluding the extension("example".out): "
IF NOT EXIST "%id%.out" (
	ECHO.
	ECHO FIlE NOT FOUND
	ECHO Do not include the .out, just the title
	ECHO.
	goto :pastefile
)
:bootpaste
IF NOT EXIST "boot.out" (
	ECHO.
	ECHO Please copy your boot.out into %cd%
	ECHO Press space when the file is in the right folder
	PAUSE
	ECHO.
	goto :bootpaste
)
AISgen_d800k008.exe -cfg=boot_config.cfg
IF NOT EXIST "boot.ais" (
	ECHO Something went wrong. Lets try this the hard way.
	ECHO Please copy your boot.out into %cd%
	ECHO Press space when the file is in the right folder
	PAUSE
	ECHO.
	ECHO 1. Make sure the device is set to DSP
	ECHO 2. Set boot mode to SPI0 Flash
	ECHO 3. In the DSP Application File select "..." box and navigate to the current working directory
	Echo 4. Select boot.out
	ECHO 5. In the AIS Output File select "..." box and navigate to the current working directory
	ECHO 6. Save it as boot.ais
	ECHO 7. Select Generate AIS
	ECHO Once it is completed close the GUI
	ECHO.
	AISgen_d800k008.exe
	IF NOT EXIST "boot.ais" (
		goto :bootpaste
	)
)
out2rprc.exe %id%.out %id%.bin
ECHO.
ECHO Set the boot switches to 01010000 and plug the USB cable to the UART-USB conection on the board and to your computer
ECHO The power cable should not be plugged in at this time
PAUSE
ECHO.
ECHO Find the COM port that your device is connected to then close the Device Manager
devmgmt.msc
set /p cprt="Enter the number of the COM'x' port : "
ECHO.
ECHO Plug the power cable into the board
PAUSE
ECHO.
ECHO When Cmder terminal says "Waiting for BOOTME" press the reset button on the board
ECHO After pressing reset the process can take a few minutes, be patient
ECHO Press spacebar to begin process. Be ready to press reset according to the instructions above.
PAUSE
sfh_OMAP-L138.exe -flash boot.ais %id%.bin -targetType OMAPL138_LCDK -flashType NAND -p COM%cprt%
ECHO.
ECHO.
ECHO Congratulations, your board is now flashed
ECHO Unplug the power cable from the board
ECHO While the board is powered off set the boot switch to 01110000
ECHO Then plug in the power cable and your program is now running on the board 
ECHO Happy Programming
PAUSE
EXIT